%define	module	chora
%define	name	horde-%{module}
%define	version	1.2.2
%define	release	1mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Chora is the Horde CVS viewer: an advanced web-based view of any CVS repository
License:	GPL
Group: 		System/Servers
Source: 	%{module}-%{version}.tar.bz2
Source1:	%{module}-apache.conf.bz2
Source2:	%{module}-horde.conf.bz2
URL: 		http://www.horde.org/chora/
Requires:	horde >= 2.2.5-2mdk
Requires:	cvs
Provides:	%{module}
Obsoletes:	%{module}
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Chora is the Horde CVS viewer, and it provides an advanced web-based 
view of any CVS repository. It now includes annotation support, visual 
branch viewing capability, and human-readable diffs.

The Horde Project writes web applications in PHP and releases them under
the GNU Public License.  For more information (including help with Chora)
please visit http://www.horde.org/.

Please edit %{ap_htdocsdir}//horde/%{module}/config/cvsroots.php 
to suit your site's needs.
You must also edit %{ap_htdocsdir}/horde/config/registry.php 

%prep
%setup -q -n %{module}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_base}/webapps.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{ap_base}/webapps.d/%{order}_%{name}.conf

# horde configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d/%{module}.php

# pre-install clean-up
mv config/README config/README.config

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/COPYING
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/README
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/config/README.config
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/lib/README.CVSLib
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/docs
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/po

# remove .htaccess files
find $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module} -name .htaccess -exec rm -f {} \;

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/config/*.dist; do
	mv $file ${file%.dist}
done

#%ADVXinstdoc %{module}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc COPYING README lib/README.CVSLib config/README.config docs
# Apache configuration file
%config(noreplace) %{ap_base}/webapps.d/%{order}_%{name}.conf
# Horde configuration file
%config(noreplace) %{ap_htdocsdir}/horde/config/registry.d/%{module}.php
# top level dir an files
%dir %{ap_htdocsdir}/horde/%{module}
%{ap_htdocsdir}/horde/%{module}/*.php
# standard files
%{ap_htdocsdir}/horde/%{module}/graphics
%{ap_htdocsdir}/horde/%{module}/lib
%{ap_htdocsdir}/horde/%{module}/templates
%{ap_htdocsdir}/horde/%{module}/locale
# config files
%dir %{ap_htdocsdir}/horde/%{module}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{module}/config/*.php
%config(noreplace) %{ap_htdocsdir}/horde/%{module}/config/*.txt

%changelog
* Wed Aug 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.2-1mdk 
- new version

* Sun Jul 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2-4mdk 
- apache config file in %{ap_base}/webapps.d

* Sat May 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2-3mdk
- renamed to %{name}
- pluggable horde configuration
- standard perms for %{ap_confd}/%{order}_%{name}.conf
- don't provide useless ADVXpackage virtual package
- untagged localisation files
- removed .htaccess files

* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-2mdk
- changed order to 72, as all other horde apps
- requires horde, not horde2
- standard perms and ownership for config files, access is already denied

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-1mdk
- 1.2
- spec cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- ADVX macros
- apache2 integration
- fixed URL

* Thu Jan 16 2003 Yves Duret <yves@zarb.org> 1.1-2mdk
- rebuild.
- added missing doc.

* Mon Oct 28 2002 Yves Duret <yves@zarb.org> 1.1-1mdk
- first mandrake release

